package com.wms.constants.enums;

/**
 * 入库验证信息枚举
 */
public enum TaskOutValidationEnum {
    OK(""),
    NO_REQUEST_BODY("请求参数为空"),
    LACK_REQUIRED_PARAM("缺少必须参数：物料、载具、起始库位至少需要一个"),
    ERROR_VEHICLE_ID("不存在的载具号"),
    ERROR_VEHICLE_STATUS("载具不是在库状态，不可出库"),
    ERROR_ORIGIN_POINT("错误的起始库位"),
    LOCKED_LOCATION("库位锁定，无法出库"),
    ERROR_ORIGIN_POINT_STATUS("起始库位无货，不允许出库"),
    ERROR_DESTINATION_POINT("错误的终点站台"),
    NO_PICK_STAND("拣选任务无拣选站台"),
    ERROR_PICK_STAND("错误的拣选站台"),
    NO_STOCK("请求的物料无库存"),
    ERROR_GOODS_NUM("错误的出库数量");

    private final String errorMessage;
    TaskOutValidationEnum(String errorMessage) {
        this.errorMessage = errorMessage;
    }
    public String getErrorMessage() {
        return errorMessage;
    }
}
